Bug 1311473 - python-novaclient-os-networks - Adds network extension support to python-novaclient
python-novaclient-os-networks - Adds network extension support to python-nov...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christos Triantafyllidis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-24 05:35 EST by Ricardo Cordeiro
Modified: 2016-03-15 21:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-15 21:23:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
christos.triantafyllidis: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ricardo Cordeiro 2016-02-24 05:35:30 EST
Spec URL: https://rjmco.fedorapeople.org/python-novaclient-os-networks/python-novaclient-os-networks.spec
SRPM URL: https://rjmco.fedorapeople.org/python-novaclient-os-networks/python-novaclient-os-networks-0.25-1.fc23.src.rpm
Description: Adds network extension support to python-novaclient
Fedora Account System Username: rjmco

Scratch build URLs:

rawhide http://koji.fedoraproject.org/koji/taskinfo?taskID=13113679
f24     http://koji.fedoraproject.org/koji/taskinfo?taskID=13113683
f23     http://koji.fedoraproject.org/koji/taskinfo?taskID=13113686
f22     http://koji.fedoraproject.org/koji/taskinfo?taskID=13113692


copr repo: https://copr.fedorainfracloud.org/coprs/rjmco/python-novaclient-os-networks/

While this is my first package, I'm already sponsored to the packagers group as co-maintainer of python-novaclient-os-virtual-interfaces package.

I've let upstream know that I am maintaining a package for the Fedora Project (https://github.com/rackerlabs/os_networksv2_python_novaclient_ext/pull/12) and simultaneously asked them to include the missing LICENSE file.

The package name differs from the upstream name to fall inline with the package name structure agreed between Christos Triantafyllidis, gil cattaneo, Jon Ciesla and Zbigniew Jędrzejewski-Szmek on https://bugzilla.redhat.com/show_bug.cgi?id=1286867 for a similar add-on to python-novaclient.
Comment 1 Christos Triantafyllidis 2016-02-24 05:41:47 EST
Hello,

I'm taking this.

I'll let you as soon as I have some results.

Cheers,
Christos
Comment 2 Christos Triantafyllidis 2016-03-02 15:12:08 EST
Hello,

Everything looks good!

I just have a small comment, you are defining %sum but what you can do instead is to use Summary in the main package and then %summary to get the same text in the subpackage(s).

Package Review
==============


Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /home/ctrianta/FedoraReviews/1311473-python-novaclient-os-
     networks/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-novaclient-os-networks-0.25-1.fc24.noarch.rpm
          python-novaclient-os-networks-0.25-1.fc24.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python2-novaclient-os-networks (rpmlib, GLIBC filtered):
    python(abi)
    python-novaclient



Provides
--------
python2-novaclient-os-networks:
    python-novaclient-os-networks
    python2-novaclient-os-networks



Source checksums
----------------
http://pypi.python.org/packages/source/o/os_networksv2_python_novaclient_ext/os_networksv2_python_novaclient_ext-0.25.tar.gz :
  CHECKSUM(SHA256) this package     : 35ba71b027daf4c407d7a2fd94604d0437eea0c1de4d8d5d0f8ab69100834a0f
  CHECKSUM(SHA256) upstream package : 35ba71b027daf4c407d7a2fd94604d0437eea0c1de4d8d5d0f8ab69100834a0f


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1311473
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Ricardo Cordeiro 2016-03-03 18:12:47 EST
Hi Christos,

Thanks for your review. As suggested, I've replaced the use of %sum with %summary throughout the spec file. Here's the diff:

--- a/SPECS/python-novaclient-os-networks.spec
+++ b/SPECS/python-novaclient-os-networks.spec
@@ -1,11 +1,10 @@
 %global srcname novaclient-os-networks
 %global upstreamname os_networksv2_python_novaclient_ext
-%global sum Adds network extension support to python-novaclient
 
 Name:		python-%{srcname}
 Version:	0.25
-Release:	1%{?dist}
-Summary:	%{sum}
+Release:	2%{?dist}
+Summary:	Adds network extension support to python-novaclient
 
 Group:		Development/Libraries
 License:	ASL 2.0
@@ -16,15 +15,15 @@ BuildArch:	noarch
 BuildRequires:	python2-devel
 
 %description
-%{sum}
+%{summary}
 %package -n python2-%{srcname}
-Summary:	%{sum}
+Summary:	%{summary}
 BuildRequires:	python-novaclient
 Requires:	python-novaclient
 %{?python_provide:%python_provide python2-%{srcname}}
 
 %description -n python2-%{srcname}
-%{sum}
+%{summary}
 
 %prep
 %autosetup -n %{upstreamname}-%{version}
@@ -44,5 +43,8 @@ Requires:	python-novaclient
 %{python2_sitelib}/*
 
 %changelog
+* Thu Mar 03 2016 Ricardo Cordeiro <gryfrev8-redhat.com-rjmco@tux.com.pt> - 0.25-2
+- Replaced the use of sum with summary
+
 * Sat Feb 20 2016 Ricardo Cordeiro <gryfrev8-redhat.com-rjmco@tux.com.pt> - 0.25-1
 - Initial package



New scratch build URLs:

rawhide http://koji.fedoraproject.org/koji/taskinfo?taskID=13218893
f24     http://koji.fedoraproject.org/koji/taskinfo?taskID=13218904
f23     http://koji.fedoraproject.org/koji/taskinfo?taskID=13218916
f22     http://koji.fedoraproject.org/koji/taskinfo?taskID=13218920

As you've already flagged the package as passed review, I am going ahead and submit it to Package DB.

Updated SRPM URL: https://rjmco.fedorapeople.org/python-novaclient-os-networks/python-novaclient-os-networks-0.25-2.fc25.src.rpm
Comment 4 Gwyn Ciesla 2016-03-04 07:26:04 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-novaclient-os-networks
Comment 5 Fedora Update System 2016-03-05 16:28:21 EST
python-novaclient-os-networks-0.25-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9332b9d39b
Comment 6 Fedora Update System 2016-03-05 16:32:13 EST
python-novaclient-os-networks-0.25-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-869381f596
Comment 7 Fedora Update System 2016-03-06 19:23:07 EST
python-novaclient-os-networks-0.25-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-869381f596
Comment 8 Fedora Update System 2016-03-06 19:27:00 EST
python-novaclient-os-networks-0.25-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9332b9d39b
Comment 9 Fedora Update System 2016-03-15 21:23:28 EDT
python-novaclient-os-networks-0.25-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-03-15 21:49:14 EDT
python-novaclient-os-networks-0.25-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.